Get algorithms
Get available algorithms.
Returns the list of available forecasting algorithms. Currently one algorithm is offered (phq-xgboost) based on XGBoost.
Authorizations
AuthorizationstringRequired
Enter your PredictHQ API key. The Bearer prefix is added automatically.
When calling the API directly, send: Authorization: Bearer <YOUR_API_KEY> as documented at https://docs.predicthq.com/api/overview/authenticating
Responses
200
Successful Response
application/json
errorsstring[]OptionalDefault:
List of error messages, if any.
[]warningsstring[]OptionalDefault:
List of warning messages, if any.
[]401
Unauthorized
application/json
402
Payment Required
application/json
403
Forbidden
application/json
get/v1/forecasts/algos
GET /v1/forecasts/algos HTTP/1.1
Host: api.predicthq.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"errors": [
"text"
],
"warnings": [
"text"
],
"results": [
{
"algo": "text",
"description": "text",
"status": "current"
}
]
}OpenAPI spec
See the OpenAPI spec for Forecasts API.
Guides
Read these guides for more on the Forecasts API:
Last updated
Was this helpful?